<?
AddEventHandler("main", "OnUserTypeBuildList", array("CUserTypeFlag", "GetUserTypeDescription"));

require dirname(__FILE__)."/lang/".LANGUAGE_ID."/usertypeflag.php";

class CUserTypeFlag extends CUserTypeEnum
{
	function GetUserTypeDescription()
	{
		return array(
				"USER_TYPE_ID" => "flag",
				"CLASS_NAME" => "CUserTypeFlag",
				"DESCRIPTION" => GetMessage("USER_TYPE_FLAG_DESCRIPTION"),
				"BASE_TYPE" => "enum",
		);
	}
	
	function GetAdminListViewHTML($arUserField, $arHtmlControl)
	{
		static $cache = array();
		$empty_caption = '&nbsp;';//strlen($arUserField["SETTINGS"]["CAPTION_NO_VALUE"]) > 0 ? htmlspecialcharsbx($arUserField["SETTINGS"]["CAPTION_NO_VALUE"]) : '&nbsp;';
	
		if(!array_key_exists($arHtmlControl["VALUE"], $cache))
		{
			$rsEnum = call_user_func_array(
					array($arUserField["USER_TYPE"]["CLASS_NAME"], "getlist"),
					array(
							$arUserField,
					)
			);
			if(!$rsEnum)
				return $empty_caption;
			while($arEnum = $rsEnum->GetNext())
			{
				$val=$arEnum["VALUE"];
			
				if(is_file($_SERVER["DOCUMENT_ROOT"]."/images/flags/".$arEnum["ID"].".png"))
				{
					$val.='<img src="/images/flags/'.$arEnum["ID"].'.png"> ';
				}
				$cache[$arEnum["ID"]] = $val;
			}
		}
		if(!array_key_exists($arHtmlControl["VALUE"], $cache))
			$cache[$arHtmlControl["VALUE"]] = $empty_caption;
		return $cache[$arHtmlControl["VALUE"]];
	}	
}

?>